BugTraq
FLEA-2007-0036-1 vim vim-minimal gvim Jul 30 2007 04:49PM
Foresight Linux Essential Announcement Service (foresight-security-noreply foresightlinux org)
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Foresight Linux Essential Advisory: 2007-0036-1
Published: 2007-07-30

Rating: Moderate

Updated Versions:
vim=/foresight.rpath.org@fl:1-devel//1/7.1.044-1-1
vim-minimal=/foresight.rpath.org@fl:1-devel//1/7.1.044-1-1
gvim=/foresight.rpath.org@fl:1-devel//1/7.1.044-1-1
group-dist=/foresight.rpath.org@fl:1-devel//1/1.3.2-0.6-5

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-2953
https://issues.rpath.com/browse/RPL-1595

Description:
Previous versions of the vim package are vulnerable to a user-assisted
attack in which vim may execute arbitrary code when helptags is run on
data that has been maliciously crafted.

- ---

Copyright 2007 Foresight Linux Project
This file is distributed under the terms of the MIT License.
A copy is available at http://www.foresightlinux.org/permanent/mit-license.html
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.4 (GNU/Linux)

iQIVAwUBRq4WkNfwEn07iAtZAQIdHA//RuhxXhkOlpo5yMN4jBOC9nq91pe+oB1q
NxZLgzaarAJYOj3Cx8KS/M/slDhnePAIxZBl14TVr2SKtHHiNMEA788lkq0Dlw1u
j1GpCff0S5lR0BwpvhEQOA8nMCCS91Jb3sXFom5Z7d9qSZ5Ne4Iwq9fk/h6TRgFk
3I0HVMXPRY2AVxAF1OU3/aPiYDqr/fJyurRaYrkHSzMu9eUm6qZ9aBgzJ3SB0CDR
6IvwsBInhs9jRSqX0gK8TGsg53dxDZ9nbTEM+GstUqWYO21kTutSjcKGq1SKlW9z
Db+t4OBtl6i20K5Qpk1cfEmJPBUmDg6yXVeWt1iKIy9dv9NHHvz4LSmsMmSpdbqn
LyWwTP0BfEV5hHGwwDy8IJx66IRImnOTjRUiuOIMq/+B9jnQZCoZk/9XhxmNeElT
dCfRnfFNeM4/Vp+i3d2E7yvkjSZlG5XVLA5Ha+VARrWti/6J/RWXcYRwvhO+QNHz
7Wm5Q8Tza/1is0EmhnejhYolMU3FiPGOnTj5KC92vn2wF1OiS400NKdSbGX8qogi
ihp15IOl4SiPRuUZRM2HA5Ru4MLK5A2G7R8NgWc0CUmGfuzeqCCTFu7c72qcT5AW
gb4YKlAvwEeyA+bxZKhOgo5Nir1A4rbTPkMaIXrORyC5RZASdoEiQeUPMFkEmlEH
bJlpkcoT2+c=
=rMyd
-----END PGP SIGNATURE-----

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus